Bug 836265 - Some variable names usable in Memory feature should be reserved
Some variable names usable in Memory feature should be reserved
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-calculator (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Alexander Larsson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 10:09 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 14:17:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2012-06-28 10:09:45 EDT
Description of problem:
If using Memory feature in gcalctool, you can choose the name of variable where you want to save the value, but there is no restriction, so I can save the value e.g. under name "rand" or "5" and variables like these cannot be used again.

Version-Release number of selected component (if applicable):
gcalctool-6.4.2.1-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Get the result of any calculation and save it under variable named "rand"
2. Clear display, open Memory dialog and click to your saved variable named "rand"
3. Confirm
  
Actual results:
The random number appeared

Expected results:
Gcalctool should warn you that you are going to save under reserved name and do not allow to save it
OR
gcalctool should use your value you have chosen independently on how you named it before

Additional info:
Comment 3 Martin Simon 2013-07-29 04:00:46 EDT
The bug is still present in gnome-calculator-3.8.2-1.el7.x86_64
Comment 4 RHEL Product and Program Management 2014-03-22 03:07:12 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Vitezslav Humpa 2015-05-07 06:56:04 EDT
Still present within the 3.14 (gnome-calculator-3.14.1-1.el7.x86_64).
Comment 7 Matthias Clasen 2015-09-03 14:17:06 EDT
realistically, the only way we'll get a fix for this is if an upstream fix comes in with a rebase.

Note You need to log in before you can comment on or make changes to this bug.